Bug 208961 - Error on arp options alias
Error on arp options alias
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: arptables_jf (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Maros Barabas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 15:29 EDT by Kleber Leal
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kleber Leal 2006-10-02 15:29:58 EDT
Description of problem:
There is a error when add rules on arptables when use Request, Reply, ... alias
Request should be 0001 (not 0100), Reply should be 0002 (not 0200).

Version-Release number of selected component (if applicable):
the current version on RHEL3 is 0.0.7-0.3E
# rpm -qa|grep arptables_jf
arptables_jf-0.0.7-0.3E

How reproducible:
Add a rule using options alias, example:
arptables -A IN --target 172.16.20.14 --arpop Request -j DROP
arptables -L -vn
where say 0100 should be 0001

Then when I enter 
arptables -A IN --target 172.16.20.14 --arpop 0001 -j DROP 
the rules is added correctly, but if I save the rules with 
arptables-save > /etc/sysconfig/arptables and reboot the machine the rules are
restored incorrectly, with option 0100.

Steps to Reproduce:
1. arptables -A IN --target 172.16.20.14 --arpop Request -j DROP
2. arptables -L -vn
3. Where arp options say 0100 shold be 0001 
  
Actual results:
Chain IN (policy ACCEPT 345 packets, 9660 bytes)
 pkts bytes target     in     out     source-ip            destination-ip      
source-hw          destination-hw     hlen op         hrd        pro
    0     0 DROP       *      *       0.0.0.0/0            10.1.209.10         
00/00              00/00              any 0100       0000/0000  0000/0000


Expected results:
Chain IN (policy ACCEPT 345 packets, 9660 bytes)
 pkts bytes target     in     out     source-ip            destination-ip      
source-hw          destination-hw     hlen op         hrd        pro
    0     0 DROP       *      *       0.0.0.0/0            10.1.209.10         
00/00              00/00              any 0001       0000/0000  0000/0000


Additional info:
# uname -a
Linux efbp1.sefaz.pe.gov.br 2.4.21-47.EL #1 Wed Jul 5 20:46:55 EDT 2006 i686
i686 i386 GNU/Linux

All errata updates was applied on this machine.
Comment 1 RHEL Product and Program Management 2007-10-19 14:40:55 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.